//-	---------------------------------------------------------------------------
//-	Name: 		SDIGrid.h
//-
//-	Purpose:	This file provides the definition of the class
//-				CSDIGridApp.
//-
//-	Revisions:
//-	Date		Author		Change Summary
//-	---------	------		---------------------------------------------------
//-	09-30-99	Mklombardi@ Created & Released.
//-             netzero,net 
//-
//-	Notes:		None.
//-
//- Copyright : This software is NOT copyrighted.
// This code may be used in compiled form in any way you desire. This
// file may be redistributed unmodified by any means PROVIDING it is 
// not sold for profit without the authors written consent, and 
// providing that this notice and the authors name is included. If 
// the source code in  this file is used in any commercial application 
// then acknowledgement must be made to the author of this file 
// (in whatever form you wish).
//
// This file is provided "as is" with no expressed or implied warranty.
// The author accepts no liability for any damage/loss of business that
// this product may cause.
//
// Expect bugs!
// 
// Please use and enjoy. Please let me know of any bugs/mods/improvements 
// that you have found/implemented and I will fix/incorporate them into this
// file. 
#if !defined(AFX_SDIGRID_H__C3E95CFC_64BC_11D3_8D9C_4EE4B9000000__INCLUDED_)
#define AFX_SDIGRID_H__C3E95CFC_64BC_11D3_8D9C_4EE4B9000000__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000

// SDIGrid.h : main header file for SDIGRID.DLL

#if !defined( __AFXCTL_H__ )
	#error include 'afxctl.h' before including this file
#endif

#include "resource.h"       // main symbols

#define CRLF _T("\r\n")

#define DefaultColHeight 19
#define DefaultColWidth  67

#define YesString _T("Yes")
#define NoString  _T("No")

enum ItemDataType {
    EditData,
    CheckBoxData,
    ListData
};

typedef struct{
    short Id;
    short ColWidth;
    CString Desc;
    ItemDataType ItemType;
    CStringArray DropListItems;  //Only used for ItemType == ListData
} CellDataType;

/////////////////////////////////////////////////////////////////////////////
// CSDIGridApp : See SDIGrid.cpp for implementation.

class CSDIGridApp : public COleControlModule
{
public:
	BOOL InitInstance();
	int ExitInstance();
};

extern const GUID CDECL _tlid;
extern const WORD _wVerMajor;
extern const WORD _wVerMinor;

//{{AFX_INSERT_LOCATION}}
// Microsoft Visual C++ will insert additional declarations immediately before the previous line.

#endif // !defined(AFX_SDIGRID_H__C3E95CFC_64BC_11D3_8D9C_4EE4B9000000__INCLUDED)
