//-	---------------------------------------------------------------------------
//-	Name: 		DropListData.h
//-
//-	Purpose:	This file provides the definition of the class
//-				CDropListData.
//-
//-	Revisions:
//-	Date		Author		Change Summary
//-	---------	------		---------------------------------------------------
//-	09-30-99	Mklombardi@ Created & Released.
//-             netzero,net 
//-
//-	Notes:		None.
//-
//- Copyright : This software is NOT copyrighted.
// This code may be used in compiled form in any way you desire. This
// file may be redistributed unmodified by any means PROVIDING it is 
// not sold for profit without the authors written consent, and 
// providing that this notice and the authors name is included. If 
// the source code in  this file is used in any commercial application 
// then acknowledgement must be made to the author of this file 
// (in whatever form you wish).
//
// This file is provided "as is" with no expressed or implied warranty.
// The author accepts no liability for any damage/loss of business that
// this product may cause.
//
// Expect bugs!
// 
// Please use and enjoy. Please let me know of any bugs/mods/improvements 
// that you have found/implemented and I will fix/incorporate them into this
// file. 
//
//-	---------------------------------------------------------------------------
#if !defined(AFX_DROPLISTDATA_H__C12D5822_7BF7_11D3_95C5_0008C773DEA8__INCLUDED_)
#define AFX_DROPLISTDATA_H__C12D5822_7BF7_11D3_95C5_0008C773DEA8__INCLUDED_

#if _MSC_VER >= 1000
#pragma once
#endif // _MSC_VER >= 1000
// DropListData.h : header file
//

/////////////////////////////////////////////////////////////////////////////
// CDropListData dialog

class CDropListData : public CDialog
{
// Construction
public:
	CDropListData(CWnd* pParent = NULL);   // standard constructor
    CString GetDropListData();
    void SetDropListData(CString DropListData);

// Dialog Data
	//{{AFX_DATA(CDropListData)
	enum { IDD = IDD_ENTER_LISTBOX_DIALOG };
	CEdit	m_EditBox;
	CString	m_DropListItems;
	//}}AFX_DATA


// Overrides
	// ClassWizard generated virtual function overrides
	//{{AFX_VIRTUAL(CDropListData)
	protected:
	virtual void DoDataExchange(CDataExchange* pDX);    // DDX/DDV support
	//}}AFX_VIRTUAL

// Implementation
protected:

	// Generated message map functions
	//{{AFX_MSG(CDropListData)
	virtual BOOL OnInitDialog();
	virtual void OnOK();
	afx_msg void OnTimer(UINT nIDEvent);
	afx_msg void OnCountries();
	afx_msg void OnCurrency();
	afx_msg void OnStates();
	afx_msg void OnTaxpayerSpouse();
	afx_msg void OnLocalaties();
	afx_msg void OnBox13codes();
	afx_msg void OnDividends();
	afx_msg void OnYesno();
	afx_msg void OnKeogh();
	afx_msg void OnShortlonginvst();
	//}}AFX_MSG
	DECLARE_MESSAGE_MAP()

protected:
    int m_ControlToSelect;
};

//{{AFX_INSERT_LOCATION}}
// Microsoft Developer Studio will insert additional declarations immediately before the previous line.

#endif // !defined(AFX_DROPLISTDATA_H__C12D5822_7BF7_11D3_95C5_0008C773DEA8__INCLUDED_)
